weka.core.pmml.jaxbbindings

## Class Sequence

- java.lang.Object
- - weka.core.pmml.jaxbbindings.Sequence

-     public class Sequence
      extends java.lang.Object

  Java class for Sequence element declaration.

  The following schema fragment specifies the expected content contained within this class.

       <element name="Sequence">
         <complexType>
           <complexContent>
             <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
               <sequence>
                 <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}SetReference"/>
                 <sequence maxOccurs="unbounded" minOccurs="0">
                   <group ref="{http://www.dmg.org/PMML-4_1}FOLLOW-SET"/>
                 </sequence>
                 <element ref="{http://www.dmg.org/PMML-4_1}Time" minOccurs="0"/>
               </sequence>
               <attribute name="id" use="required" type="{http://www.dmg.org/PMML-4_1}ELEMENT-ID" />
               <attribute name="numberOfSets" type="{http://www.dmg.org/PMML-4_1}INT-NUMBER" />
               <attribute name="occurrence" type="{http://www.dmg.org/PMML-4_1}INT-NUMBER" />
               <attribute name="support" type="{http://www.dmg.org/PMML-4_1}REAL-NUMBER" />
             </restriction>
           </complexContent>
         </complexType>
       </element>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Sequence()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<Extension>` | `getExtension()` Gets the value of the extension property.
    `java.util.List<java.lang.Object>` | `getExtensionAndDelimiterAndTime()` Gets the value of the extensionAndDelimiterAndTime property.
    `java.lang.String` | `getId()` Gets the value of the id property.
    `java.math.BigInteger` | `getNumberOfSets()` Gets the value of the numberOfSets property.
    `java.math.BigInteger` | `getOccurrence()` Gets the value of the occurrence property.
    `SetReference` | `getSetReference()` Gets the value of the setReference property.
    `java.lang.Double` | `getSupport()` Gets the value of the support property.
    `Time` | `getTime()` Gets the value of the time property.
    `void` | `setId(java.lang.String value)` Sets the value of the id property.
    `void` | `setNumberOfSets(java.math.BigInteger value)` Sets the value of the numberOfSets property.
    `void` | `setOccurrence(java.math.BigInteger value)` Sets the value of the occurrence property.
    `void` | `setSetReference(SetReference value)` Sets the value of the setReference property.
    `void` | `setSupport(java.lang.Double value)` Sets the value of the support property.
    `void` | `setTime(Time value)` Sets the value of the time property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Sequence

          public Sequence()

  - ### Method Detail

    - #### getExtension

          public java.util.List<Extension> getExtension()

      Gets the value of the extension property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

      For example, to add a new item, do as follows:

              getExtension().add(newItem);

      Objects of the following type(s) are allowed in the list `Extension`

    - #### getSetReference

          public SetReference getSetReference()

      Gets the value of the setReference property.
      Returns:
        possible object is `SetReference`

    - #### setSetReference

          public void setSetReference(SetReference value)

      Sets the value of the setReference property.
      Parameters:
        `value` - allowed object is `SetReference`

    - #### getExtensionAndDelimiterAndTime

          public java.util.List<java.lang.Object> getExtensionAndDelimiterAndTime()

      Gets the value of the extensionAndDelimiterAndTime property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extensionAndDelimiterAndTime property.

      For example, to add a new item, do as follows:

              getExtensionAndDelimiterAndTime().add(newItem);

      Objects of the following type(s) are allowed in the list `SetReference` `Extension` `Delimiter` `Time`

    - #### getTime

          public Time getTime()

      Gets the value of the time property.
      Returns:
        possible object is `Time`

    - #### setTime

          public void setTime(Time value)

      Sets the value of the time property.
      Parameters:
        `value` - allowed object is `Time`

    - #### getId

          public java.lang.String getId()

      Gets the value of the id property.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(java.lang.String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

    - #### getNumberOfSets

          public java.math.BigInteger getNumberOfSets()

      Gets the value of the numberOfSets property.
      Returns:
        possible object is `BigInteger`

    - #### setNumberOfSets

          public void setNumberOfSets(java.math.BigInteger value)

      Sets the value of the numberOfSets property.
      Parameters:
        `value` - allowed object is `BigInteger`

    - #### getOccurrence

          public java.math.BigInteger getOccurrence()

      Gets the value of the occurrence property.
      Returns:
        possible object is `BigInteger`

    - #### setOccurrence

          public void setOccurrence(java.math.BigInteger value)

      Sets the value of the occurrence property.
      Parameters:
        `value` - allowed object is `BigInteger`

    - #### getSupport

          public java.lang.Double getSupport()

      Gets the value of the support property.
      Returns:
        possible object is `Double`

    - #### setSupport

          public void setSupport(java.lang.Double value)

      Sets the value of the support property.
      Parameters:
        `value` - allowed object is `Double`